Subject: Re: FVWM: Keysyms again.

From: Dan Espen <[email-masked]>
Date: Wed, 22 May 1996 12:18:48 -0400

----------
<[email-masked]> writes:
> >>>>> "DK" == David Kennedy <[email-masked]> writes:
> 
> DK> This is becoming a very FAQ...and its not directly fvwm related.
> 
> I have some info about the Sun keyboards in the FAQ already (question
> 19), and I just put a reference to xev & xkeycaps as well.
> 
> DK> I have a key on my Sun (type 5?) keyboard, beside the F keys,
> DK> with nothing on it (beside 'Help'). I'd like for it to be
> DK> 'Lock Screen'. Running 'xev' shows it up as 'NoSymbol'.
> 
> DK> This isn't the right keysym (or whatever the correct term is)
> DK> for fvwm obviously as it does not work. Question - what is the
> DK> correct way of finding the 'name' of that key?
> 
> Did you try xkeycaps to see if it knows what it is?  I would have
> expected xev to work as well though...
> 
> Anyone out there using a Sun box w/ a type 5 keyboard have anything to
> say?  Also, I remember some recent discussions on this list about the
> Sun type 5 keyboards - try searching the archives for 'type 5' and see
> if it comes back with anything relevant.
> 

Well, I  have a type 4  keyboard, which also  has a "help" key.  "xev"
reports this:

KeyRelease event, serial 15, synthetic NO, window 0x6c00001,
    root 0x29, subw 0x2802783, time 3852912750, (109,112), root:(863,135),
    state 0x0, keycode 125 (keysym 0xff6a, Help), same_screen YES,
    XLookupString gives 0 characters:  ""

In which case fvwm would consider the key "Help".

If the key is not already doing this,  use xev or  xkeycaps to get the
keycode, and assign the keysym "Help" to it using xmodmap.

> DK> ObFvwmBugsAndRequests:
> DK>     (a) StartsOnPage would be very very useful.
> 
> I imagine it would.  When I get a chance, I'll do it, but it may not
> be before the first official release, as I have to start limiting what
> new stuff goes in so I can actually get it out the door sometime
> soon...
> 
> DK>     (b) Window tend to uniconise/pop up on the 'wrong' page if
> DK>         iconised with their titlebar slightly offscreen.
> 
> I tried quickly to reproduce this when you reported it the other day,
> but couldn't.  Anyone else out there seeing this?
> 
> DK>     (c) Sometimes after certain events (like screen locking,
> DK>         dismissing some apps) key bindings don't work. Moving the
> DK>         mouse over a window and back out to the root window then
> DK>         allows the bindings to work again. (Like F keys to jump
> DK>         pages etc)
> 
> Hm.  Interesting.  I'll try and investigate this (it may be related to
> some cleanup in the keybinding stuff that I wanted to look into
> anyways).
> 
> Chuck
> 
> *****************************************************************************
> **
> Charles K. Hines <[email-masked]>
> IBM Logic Synthesis Developer [BooleDozer (TM)]
> Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]
> 
>         "Go back to sleep, Chuck.  You're just havin' a nightmare
>             -- of course, we are still in Hell." (Gary Larson)
> *****************************************************************************
> **
> --
> Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].

--
Dan Espen                                    Phone: (908) 699-5570
[email-masked]
444 Hoes Lane  Room RRC 1C-214
Piscataway, NJ 08854
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].